# Debian LX-brand Images fuer SmartOS 

## TL;DR
1. baue KVM auf SmartOS-Host
1. Installiere in die KVM ein Debian
1. debootstrap das Debian in Verzeichnis.tgz
1. mache auf SmartOS-Host aus Verzeichnis.tgz ein LX-Image

## Voraussetzungen
- Install-ISO zum Booten
- VNC-Zugriff auf den SmartOS-Host
- `id_rsa.pub` in `.ssh` auf dem Ansible-Host

## Ablauf
1. `vars.yml` und `ansible.cfg` anpassen
1. Playbook `create_kvm.yml`: KVM bauen und mit Install-ISO booten
  * KVM heisst " lx-builder"
  * fuer Hardware-Optionen siehe Playbook
  * gibt als Host und Port fuer VNC aus
1. Standard-Installation mit dem Installer per Hand
  * user anlegen, sein Passwort merken! (spaeter remote_user Passwort)
  * root-Passwort merken! (spaeter become Passwort)
1. Playbook `create_tarball.yml`: Tarball mit debian-lx-brand-image-builder bauen
  * run `ansible-playbook --ask-pass --ask-become-pass create_tarball.yml` 
  * debootstrappt Debian in KVM in `/root/lx`
  * erstellt Ergebnisse in `/root/debian-lx-brand-image-builder` und kopiert es dann nach `/tmp` damit jeder darauf zugreifen kann
1. manuell kopiere `/tmp/debian-lx-brand-image-builder` auf SmartOS-Host
1. Playbook `create_lx_image.yml`: baut das LX-Image und das Manifest
  * laeuft auf SmartOS-Host
  * erstellt Image in `/tmp`, d.h. Kopieren vor Reboot!
1. Import des LX-Image mit `imgadm install -m MANIFEST.json -f ZONEFILE.zfs.gz`
1. Anzeigen mit ` imgadm list`

## Links
* [debian-lx-brand-imgage-builder](https://github.com/joyent/debian-lx-brand-image-builder) on github
